<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../style.css');
    @import url('../../../../../roundedcorners.css');
  </style>
    
  <title>HttpCore NIO 4.3-alpha1</title></head>
<body onload="onLoad('HttpCore NIO 4.3-alpha1: org.apache.http.nio.protocol.NHttpRequestHandlerRegistry.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
    
            <div class="navBar"><a href="../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="NHttpRequestHandlerRegistry.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

        <td class="headerStats">
        <table>
            <tr>
                <td>
                    <img src="../../../../../img/srcFileCovDistChart0.png" alt="../../../../../img/srcFileCovDistChart0.png" usemap="#srcFileCovDistChart0.png" align="middle"/>
                    <map id="srcFileCovDistChart0.png" name="srcFileCovDistChart0.png">
<area shape="rect" coords="81,7,87,44" title="34 files have 91-100% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="74,25,80,44" title="18 files have 81-90% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="67,23,73,44" title="20 files have 71-80% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="60,30,66,44" title="13 files have 61-70% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="53,33,59,45" title="11 files have 51-60% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="46,31,52,44" title="12 files have 41-50% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="39,41,45,44" title="3 files have 31-40% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="32,45,38,46" title="0 files have 21-30% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="25,42,31,44" title="2 files have 11-20% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="18,45,24,46" title="0 files have 1-10% coverage" alt="" nohref="nohref"/>
<area shape="rect" coords="11,12,17,44" title="30 files have 0% coverage" alt="" nohref="nohref"/>
</map>
                </td>
                <td>
                    <span class="subtle"><span class="bold">79% </span>of files have more coverage</span>
                </td>
            </tr>
        </table>
    </td>
    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file NHttpRequestHandlerRegistry.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      104
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      25
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file NHttpRequestHandlerRegistry.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      104
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      25
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="NHttpRequestHandlerRegistry" >
                                <span class="expand methodStart" id="span-NHttpRequestHandlerRegistry" onclick="toggleClass(this, 'NHttpRequestHandlerRegistry', 6);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#54" title="NHttpRequestHandlerRegistry">NHttpRequestHandlerRegistry</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('NHttpRequestHandlerRegistry'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 54
                <a name="sl-54"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    6
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    6
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    12
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    0%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="NHttpRequestHandlerRegistry-1" style="display:none">
            <td class="methodSummary" id="summary-58-5">
                <span class="sortValue">NHttpRequestHandlerRegistry()</span>
                &nbsp;&nbsp;<a href="#58" title="NHttpRequestHandlerRegistry()" name="sl-58">NHttpRequestHandlerRegistry()</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">58</span>
                58
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="NHttpRequestHandlerRegistry-2" style="display:none">
            <td class="methodSummary" id="summary-69-5">
                <span class="sortValue">register(String,NHttpRequestHandler)&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#69" title="register(String,NHttpRequestHandler)&nbsp;:&nbsp;void" name="sl-69">register(String,NHttpRequestHandler)&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">69</span>
                69
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="NHttpRequestHandlerRegistry-3" style="display:none">
            <td class="methodSummary" id="summary-78-5">
                <span class="sortValue">unregister(String)&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#78" title="unregister(String)&nbsp;:&nbsp;void" name="sl-78">unregister(String)&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">78</span>
                78
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="NHttpRequestHandlerRegistry-4" style="display:none">
            <td class="methodSummary" id="summary-86-5">
                <span class="sortValue">setHandlers(Map&lt;String,&nbsp;NHttpRequestHandler&gt;)&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#86" title="setHandlers(Map&lt;String,&nbsp;NHttpRequestHandler&gt;)&nbsp;:&nbsp;void" name="sl-86">setHandlers(Map&lt;String,&nbsp;NHttpRequestHandler&gt;)&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">86</span>
                86
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="NHttpRequestHandlerRegistry-5" style="display:none">
            <td class="methodSummary" id="summary-96-5">
                <span class="sortValue">getHandlers()&nbsp;:&nbsp;Map&lt;String,&nbsp;NHttpRequestHandler&gt;</span>
                &nbsp;&nbsp;<a href="#96" title="getHandlers()&nbsp;:&nbsp;Map&lt;String,&nbsp;NHttpRequestHandler&gt;" name="sl-96">getHandlers()&nbsp;:&nbsp;Map&lt;String,&nbsp;NHttpRequestHandler&gt;</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">96</span>
                96
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="NHttpRequestHandlerRegistry-6" style="display:none">
            <td class="methodSummary" id="summary-100-5">
                <span class="sortValue">lookup(String)&nbsp;:&nbsp;NHttpRequestHandler</span>
                &nbsp;&nbsp;<a href="#100" title="lookup(String)&nbsp;:&nbsp;NHttpRequestHandler" name="sl-100">lookup(String)&nbsp;:&nbsp;NHttpRequestHandler</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">100</span>
                100
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
<tbody>

    <tr>
        <td class="hbreak hint" align="left" colspan="4">
            No Tests
        </td>
    </tr>
</tbody>    
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"></span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"><span class="keyword">package</span> org.apache.<a href="../../../http/pkg-summary.html">http</a>.<a href="../../nio/pkg-summary.html">nio</a>.<a href="../protocol/pkg-summary.html">protocol</a>;</span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"></span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> java.util.Map;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"></span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../http/pkg-summary.html">http</a>.protocol.UriPatternMatcher;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"></span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="comment">/**</span></span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="comment"> * Maintains a map of HTTP request handlers keyed by a request URI pattern.</span></span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="comment"> * &lt;br&gt;</span></span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="comment"> * Patterns may have three formats:</span></span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="comment"> * &lt;ul&gt;</span></span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine"><span class="comment"> *   &lt;li&gt;&lt;code&gt;*&lt;/code&gt;&lt;/li&gt;</span></span></td>
</tr>
        

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-40" class="srcLine"><span class="comment"> *   &lt;li&gt;&lt;code&gt;*&amp;lt;uri&amp;gt;&lt;/code&gt;&lt;/li&gt;</span></span></td>
</tr>
        

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-41" class="srcLine"><span class="comment"> *   &lt;li&gt;&lt;code&gt;&amp;lt;uri&amp;gt;*&lt;/code&gt;&lt;/li&gt;</span></span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"><span class="comment"> * &lt;/ul&gt;</span></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine"><span class="comment"> * &lt;br&gt;</span></span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine"><span class="comment"> * This class can be used to resolve an instance of</span></span></td>
</tr>
        

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-45" class="srcLine"><span class="comment"> * {</span><span class="javadoc">@link</span><span class="comment"> NHttpRequestHandler} matching a particular request URI. Usually the</span></span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine"><span class="comment"> * resolved request handler will be used to process the request with the</span></span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine"><span class="comment"> * specified request URI.</span></span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"><span class="comment"> * </span><span class="javadoc">@since</span><span class="comment"> 4.0</span></span></td>
</tr>
        

<tr id="l50">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-50" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLine"><span class="comment"> * </span><span class="javadoc">@deprecated</span><span class="comment"> (4.2) use {</span><span class="javadoc">@link</span><span class="comment"> UriHttpAsyncRequestHandlerMapper}</span></span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine">@Deprecated</span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="54" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-54' onclick="toggleInlineStats(this, 'inlinestats-54');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-54" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-54'), 'inlinestats-54');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 12 (12)</td>
           <td class="inlineStat">Complexity: 6</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l54">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount NoHilight "
            >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-54" >
    <span class="spacer"></span><span id="src-54" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry">NHttpRequestHandlerRegistry</a> <span class="keyword">implements</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerResolver.html#NHttpRequestHandlerResolver">NHttpRequestHandlerResolver</a> {</span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine"></span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine">    <span class="keyword">private</span> <span class="keyword">final</span> UriPatternMatcher&lt;<a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a>&gt; matcher;</span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="58" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-58' onclick="toggleInlineStats(this, 'inlinestats-58');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-58" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-58'), 'inlinestats-58');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l58">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 58, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-58" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 58,60);" id="img-58" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-58" class="srcLineHilight"><span class="nolink" title="Line 58, Col 5: method not entered.">    <span class="keyword">public</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html#NHttpRequestHandlerRegistry">NHttpRequestHandlerRegistry</a>() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-58'), 58,60);" id="e58" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l59">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 59, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-59" class="srcLineHilight"><span class="nolink" title="Line 59, Col 9: statement not executed.">        matcher = <span class="keyword">new</span> UriPatternMatcher&lt;<a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a>&gt;();</span></span></td>
</tr>
        

<tr id="l60">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-60" class="srcLine">    }</span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLine"></span></td>
</tr>
        

<tr id="l62">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-62" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l63">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-63" class="srcLine"><span class="comment">     * Registers the given {</span><span class="javadoc">@link</span><span class="comment"> NHttpRequestHandler} as a handler for URIs</span></span></td>
</tr>
        

<tr id="l64">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-64" class="srcLine"><span class="comment">     * matching the given pattern.</span></span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLine"><span class="comment">     *</span></span></td>
</tr>
        

<tr id="l66">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-66" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> pattern the pattern to register the handler for.</span></span></td>
</tr>
        

<tr id="l67">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-67" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> handler the handler.</span></span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="69" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-69' onclick="toggleInlineStats(this, 'inlinestats-69');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-69" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-69'), 'inlinestats-69');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l69">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 69, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-69" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 69,71);" id="img-69" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-69" class="srcLineHilight"><span class="nolink" title="Line 69, Col 5: method not entered.">    <span class="keyword">public</span> <span class="keyword">void</span> register(<span class="keyword">final</span> String pattern, <span class="keyword">final</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a> handler) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-69'), 69,71);" id="e69" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 70, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLineHilight"><span class="nolink" title="Line 70, Col 9: statement not executed.">        matcher.register(pattern, handler);</span></span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLine">    }</span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLine"></span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l74">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-74" class="srcLine"><span class="comment">     * Removes registered handler, if exists, for the given pattern.</span></span></td>
</tr>
        

<tr id="l75">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=75#src-75">75</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-75" class="srcLine"><span class="comment">     *</span></span></td>
</tr>
        

<tr id="l76">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=76#src-76">76</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-76" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> pattern the pattern to unregister the handler for.</span></span></td>
</tr>
        

<tr id="l77">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=77#src-77">77</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-77" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="78" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-78' onclick="toggleInlineStats(this, 'inlinestats-78');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-78" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-78'), 'inlinestats-78');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l78">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=78#src-78">78</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 78, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-78" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 78,80);" id="img-78" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-78" class="srcLineHilight"><span class="nolink" title="Line 78, Col 5: method not entered.">    <span class="keyword">public</span> <span class="keyword">void</span> unregister(<span class="keyword">final</span> String pattern) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-78'), 78,80);" id="e78" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l79">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=79#src-79">79</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 79, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-79" class="srcLineHilight"><span class="nolink" title="Line 79, Col 9: statement not executed.">        matcher.unregister(pattern);</span></span></td>
</tr>
        

<tr id="l80">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=80#src-80">80</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-80" class="srcLine">    }</span></td>
</tr>
        

<tr id="l81">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=81#src-81">81</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-81" class="srcLine"></span></td>
</tr>
        

<tr id="l82">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=82#src-82">82</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-82" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l83">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=83#src-83">83</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-83" class="srcLine"><span class="comment">     * Sets handlers from the given map.</span></span></td>
</tr>
        

<tr id="l84">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=84#src-84">84</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-84" class="srcLine"><span class="comment">     * </span><span class="javadoc">@param</span><span class="comment"> map the map containing handlers keyed by their URI patterns.</span></span></td>
</tr>
        

<tr id="l85">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=85#src-85">85</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-85" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="86" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-86' onclick="toggleInlineStats(this, 'inlinestats-86');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-86" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-86'), 'inlinestats-86');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l86">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=86#src-86">86</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 86, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-86" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 86,88);" id="img-86" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-86" class="srcLineHilight"><span class="nolink" title="Line 86, Col 5: method not entered.">    <span class="keyword">public</span> <span class="keyword">void</span> setHandlers(<span class="keyword">final</span> Map&lt;String, <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a>&gt; map) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-86'), 86,88);" id="e86" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l87">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=87#src-87">87</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 87, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-87" class="srcLineHilight"><span class="nolink" title="Line 87, Col 9: statement not executed.">        matcher.setObjects(map);</span></span></td>
</tr>
        

<tr id="l88">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=88#src-88">88</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-88" class="srcLine">    }</span></td>
</tr>
        

<tr id="l89">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=89#src-89">89</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-89" class="srcLine"></span></td>
</tr>
        

<tr id="l90">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=90#src-90">90</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-90" class="srcLine">    <span class="comment">/**</span></span></td>
</tr>
        

<tr id="l91">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=91#src-91">91</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-91" class="srcLine"><span class="comment">     * Get the handler map.</span></span></td>
</tr>
        

<tr id="l92">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=92#src-92">92</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-92" class="srcLine"><span class="comment">     * </span><span class="javadoc">@return</span><span class="comment"> The map of handlers and their associated URI patterns.</span></span></td>
</tr>
        

<tr id="l93">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=93#src-93">93</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-93" class="srcLine"><span class="comment">     *</span></span></td>
</tr>
        

<tr id="l94">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=94#src-94">94</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-94" class="srcLine"><span class="comment">     * </span><span class="javadoc">@since</span><span class="comment"> 4.2</span></span></td>
</tr>
        

<tr id="l95">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=95#src-95">95</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-95" class="srcLine"><span class="comment">     */</span></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="96" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-96' onclick="toggleInlineStats(this, 'inlinestats-96');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-96" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-96'), 'inlinestats-96');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l96">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=96#src-96">96</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 96, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-96" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 96,98);" id="img-96" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-96" class="srcLineHilight"><span class="nolink" title="Line 96, Col 5: method not entered.">    <span class="keyword">public</span> Map&lt;String, <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a>&gt; getHandlers() {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-96'), 96,98);" id="e96" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l97">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=97#src-97">97</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 97, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-97" class="srcLineHilight"><span class="nolink" title="Line 97, Col 9: statement not executed.">        <span class="keyword">return</span> matcher.getObjects();</span></span></td>
</tr>
        

<tr id="l98">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=98#src-98">98</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-98" class="srcLine">    }</span></td>
</tr>
        

<tr id="l99">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=99#src-99">99</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-99" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="100" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-100' onclick="toggleInlineStats(this, 'inlinestats-100');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-100" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-100'), 'inlinestats-100');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="0% Covered" class="barPositive barPositive" style="width: 0%"></div>
    </div>
</div></td><td>0%</td>
           <td class="inlineStat">Uncovered Elements: 1 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l100">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=100#src-100">100</a></td>
<td align="right" class="coverageCount Bad missedByTest"
            >
    <span title="Line 100, Col 5: method not entered." class="nolink">&nbsp;0</span>

</td>
<td class="  methodStart  srcCell" id="id-100" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 100,102);" id="img-100" src="../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-100" class="srcLineHilight"><span class="nolink" title="Line 100, Col 5: method not entered.">    <span class="keyword">public</span> <a href="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html#NHttpRequestHandler">NHttpRequestHandler</a> lookup(String requestURI) {</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-100'), 100,102);" id="e100" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l101">
<td align="right" class="lineCount Bad"><a class="lineNumHref" href="?line=101#src-101">101</a></td>
<td align="right" class="coverageCount Bad missedByTest"
         >
    <span title="Line 101, Col 9: statement not executed." class="nolink">&nbsp;0</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-101" class="srcLineHilight"><span class="nolink" title="Line 101, Col 9: statement not executed.">        <span class="keyword">return</span> matcher.lookup(requestURI);</span></span></td>
</tr>
        

<tr id="l102">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=102#src-102">102</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-102" class="srcLine">    }</span></td>
</tr>
        

<tr id="l103">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=103#src-103">103</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-103" class="srcLine"></span></td>
</tr>
        

<tr id="l104">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=104#src-104">104</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-104" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../';
    var testsPerFile = -1;
</script>
<script src="NHttpRequestHandlerRegistry.js" type="text/javascript"></script>
<script src="../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
